<?php
/**
 * WordPress Settings Page
 */

function wpd_wooconnect_page() {
	// Check the user capabilities
	global $wpd_wooconnect_error_default;
	if ( !current_user_can( 'manage_woocommerce' ) ) {
		wp_die( __( 'You do not have sufficient permissions to access this page.', 'wpd-wooconnect' ) );
	}
	// Save the field values
	if ( isset( $_POST['ufdc_fields_submitted'] ) && $_POST['ufdc_fields_submitted'] == 'submitted' ) {
		delete_option( 'wpd_wooconnect_use_style' );
		foreach ( $_POST as $key => $value ) {
		
			//pre($key.'>'.$value);
			
			if ( get_option( $key ) != $value ) {
				update_option( $key, $value );
			} else {
				add_option( $key, $value, '', 'no' );
			}
		}
		
		
	}
global $wpd_wooconnect_page, $ufdc_custom, $eufdc_data;
$wpd_wooconnect_page = get_option( 'wpd_wooconnect_page' );
	
?>

<div class="wrap">
	<div id="icon-options-general" class="icon32"></div>
	<h2><?php _e( 'WP Dispensary\'s WooConnect File Upload Settings', 'wpd-wooconnect' ); ?></h2>
	<?php if ( isset( $_POST['ufdc_fields_submitted'] ) && $_POST['ufdc_fields_submitted'] == 'submitted' ) { ?>
	<div id="message" class="updated fade"><p><strong><?php _e( 'Your settings have been saved.', 'wpd-wooconnect' ); ?></strong></p></div>
	<?php } ?>
	<div id="content">
		<form method="post" action="" id="ufdc_settings">
			<input type="hidden" name="ufdc_fields_submitted" value="submitted">
			<div id="poststuff">
				<div style="float:left; width:100%;">
					<div class="postbox">
						<div class="inside ufdc-settings">
							<table class="form-table">
								<tr>
    								<th>
    									<label for="wpd_wooconnect_caption"><b><?php _e( 'Caption:', 'wpd-wooconnect' ); ?></b></label>
    								</th>
    								<td>
										<textarea id="wpd_wooconnect_caption" style="width:50%; height:60px" name="wpd_wooconnect_caption" placeholder="Do you have something to attach?"><?php echo get_option( 'wpd_wooconnect_caption' ); ?></textarea>
    								</td>
    							</tr>
								<tr>
    								<th>
    									<label for="wpd_wooconnect_page"><b><?php _e( 'Display on:', 'wpd-wooconnect' ); ?></b></label>
    								</th>
    								<td>
										<ul>
											<li><input type="radio" name="wpd_wooconnect_page" id="wpd_wooconnect_page_cart" value="cart" <?php if($wpd_wooconnect_page=='cart' || !$wpd_wooconnect_page) { echo 'checked="checked"'; } ?> />
												<label for="wpd_wooconnect_page_cart">&nbsp;Cart Page</label>
											</li>
											<li><input type="radio" name="wpd_wooconnect_page" id="wpd_wooconnect_page_checkout" value="checkout" <?php if($wpd_wooconnect_page=='checkout' ){ echo 'checked="checked"'; } ?> />
												<label for="wpd_wooconnect_page_checkout">&nbsp;Checkout Page</label>
											</li>
											<li><input type="radio" name="wpd_wooconnect_page" id="wpd_wooconnect_page_hide" value="hide" <?php if($wpd_wooconnect_page=='hide' ){ echo 'checked="checked"'; } ?> />
												<label for="wpd_wooconnect_page_hide">&nbsp;Don't Display (will ignore 'required' field below)</label>
											</li>
										</ul>
    								</td>
    							</tr>
								<tr>
    								<th>
    									<label for="wpd_wooconnect_caption"><b><?php _e( 'Error Message:', 'wpd-wooconnect' ); ?></b></label>
    								</th>
    								<td>
										<textarea id="wpd_wooconnect_error" style="width:50%; height:60px" name="wpd_wooconnect_error" placeholder="<?php echo $wpd_wooconnect_error_default; ?>"><?php echo get_option( 'wpd_wooconnect_error' ); ?></textarea>
    								</td>
    							</tr>
								<tr>
    								<th>
    									<label for="wpd_wooconnect_allowed_file_types"><b><?php _e( 'Allowed file types:', 'wpd-wooconnect' ); ?></b></label>
    								</th>
    								<td>
    									<input type="text" name="wpd_wooconnect_allowed_file_types" class="regular-text" value="<?php if(!get_option( 'wpd_wooconnect_allowed_file_types' )) { echo 'jpg,jpeg,png,gif'; } else { echo stripslashes(get_option( 'wpd_wooconnect_allowed_file_types' )); }?>"/><br />
    									<span class="description"><?php
    										echo __( 'Specify which file types are allowed for uploading, seperate by commas.', 'wpd-wooconnect' );
    									?></span>
    								</td>
    							</tr>
                                <tr>
    								<th>
    									<label for="wpd_wooconnect_req"><b><?php _e( 'Make upload field required?', 'wpd-wooconnect' ); ?></b></label>
    								</th>
    								<td>
										<input type="radio" name="wpd_wooconnect_req"  value="1" <?php if(get_option( 'wpd_wooconnect_req' ) && get_option( 'wpd_wooconnect_req' )==1) { echo 'checked="checked"'; } ?> />
											<label>Yes</label>
										<br />
										<input type="radio" name="wpd_wooconnect_req" value="0" <?php if(!get_option( 'wpd_wooconnect_req' ) || get_option( 'wpd_wooconnect_req' )!=1) { echo 'checked="checked"'; } ?> />
											<label>No</label>
										<br />

    									<span class="description"><?php
    										echo __( '&nbsp;', 'wpd-wooconnect' );
    									?></span>
    								</td>
    							</tr>
								<tr>
    								<th>
    									<label for="wpd_wooconnect_max_uploadsize"><b><?php _e( 'Maximum upload size:', 'wpd-wooconnect' ); ?></b></label>
    								</th>
    								<td>
    									<input type="text" name="wpd_wooconnect_max_uploadsize" class="short" value="<?php if(!get_option( 'wpd_wooconnect_max_uploadsize' )) { echo ini_get( 'upload_max_filesize' ); } else { echo stripslashes(get_option( 'wpd_wooconnect_max_uploadsize' )); }?>"/><br />
    									<span class="description"><?php
    										echo __( 'Specify maximum upload size for all files in MegaBytes. Cannot exceed max. PHP upload size.', 'wpd-wooconnect' ).'<br>';
											echo __( 'Note: recommended max. upload size below 8MB.', 'wpd-wooconnect' );
    									?></span>
    								</td>
    							</tr>
								<tr>
									<td colspan="2" style="padding:0">
										<p class="submit"><input type="submit" name="Submit" class="button-primary" value="<?php _e( 'Save Changes', 'wpd-wooconnect' ); ?>" /></p>
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>
<?php }

?>
